[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.DefineProperties

Defines properties used in the LCL component streaming mechanism.

## Declaration

Source position: imglist.pp line 314

`protected procedure TCustomImageList.DefineProperties(`
`Filer: TFiler`
`); override;`

## Arguments

`Filer` |  | TFiler class used to read and write the component.

## Description

DefineProperties is an overridden method used to defined which unpublished properties in TCustomImageList are included in the LCL component streaming mechanism.

Filer is the TFiler class instance used to read and write the component during component streaming. DefineProperties defines the following properties for use during component streaming:

Property Name | Property Type | Description
Bitmap | Binary | Written when Count is non-zero
BitmapAdv | Binary | Written when a resolution exists that was explicitly created at design-time